Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator Struct Reference

`#include <State.h>`

## Public Member Functions

void | operator() (LoopNest *new_loop_nest) const
void | split_compute_root_loops (LoopNest *loop_nest) const
void | add_outer_thread_loops (LoopNest *loop_nest) const

## Public Attributes

const Anderson2021Params & | params
const Target & | target

## Detailed Description

Definition at line 116 of file State.h.

## Member Function Documentation

## operator()()

void Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator::operator() | ( | LoopNest * | new_loop_nest | ) | const

## split_compute_root_loops()

void Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator::split_compute_root_loops | ( | LoopNest * | loop_nest | ) | const

## add_outer_thread_loops()

void Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator::add_outer_thread_loops | ( | LoopNest * | loop_nest | ) | const

## Member Data Documentation

## params

const Anderson2021Params& Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator::params

Definition at line 117 of file State.h.

## target

const Target& Halide::Internal::Autoscheduler::State::FeatureLoopNestMutator::target

Definition at line 118 of file State.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/State.h